{% load static %}

<script type="text/javascript">
   const serv_id = "{{ serv_id }}";
   const serv_type = "{{ serv_type }}";
   const squer_id = "{{ squer_id }}";
</script>

{% for key, quu in quiz.items %}
    <div class="questionnaire-item" id="form{{ forloop.counter }}">
        <h3 class="questionnaire-item_title">
             {{ quu.0 }}
        </h3>
        <p class="questionnaire-item_steps">
            (шаг <span class="current mx-1">{{ forloop.counter }}</span> из <span class="total ml-1">{{ quiz_num }}</span>)
        </p>
        <div class="questionnaire-item_data">
            <div class="item_limits">
                <div class="icon">
                    <img src="{% static 'src/images/icons/sad_face.svg' %}" alt="">
                </div>
                <p class="text">
                     {{ quu.1 }}
                </p>
            </div>
            <div class="item_marks">
                <div class="questionnaire_input_group">
                    <input type="radio" value="1" name="rate_{{ forloop.counter }}" id="11{{ forloop.counter }}">
                    <label for="11{{ forloop.counter }}">1</label>
                </div>
                <div class="questionnaire_input_group">
                    <input type="radio" value="2" name="rate_{{ forloop.counter }}" id="12{{ forloop.counter }}">
                    <label for="12{{ forloop.counter }}">2</label>
                </div>
                <div class="questionnaire_input_group">
                    <input type="radio" value="3" name="rate_{{ forloop.counter }}" id="13{{ forloop.counter }}">
                    <label for="13{{ forloop.counter }}">3</label>
                </div>
                <div class="questionnaire_input_group">
                    <input type="radio" value="4" name="rate_{{ forloop.counter }}" id="14{{ forloop.counter }}">
                    <label for="14{{ forloop.counter }}">4</label>
                </div>
                <div class="questionnaire_input_group">
                    <input type="radio" value="5" name="rate_{{ forloop.counter }}" id="15{{ forloop.counter }}" checked >
                    <label for="15{{ forloop.counter }}">5</label>
                </div>
            </div>
            <div class="item_limits">
                <div class="icon">
                    <img src="{% static 'src/images/icons/happy_face.svg' %}" alt="">
                </div>
                <p class="text">
                   {{ quu.2 }}
                </p>
            </div>
        </div>

        <div class="bnt_wrap d-flex justify-content-center">
            <a role="button" class="btn acc-btn  acc-btn-darkblue" type="submit" id="submit{{ forloop.counter }}">
                Далее
            </a>
            <a href="{% url 'services_list' %}" class="prev-arrow questionnaire-nav">
                Вернуться
            </a>
        </div>
    </div>
{% endfor %}










{% if serv_type == '0' %}
<div class="questionnaire-item" id="form_select">
    <h3 class="questionnaire-item_title">
        Откуда вы узнали о компании
    </h3>
    <p class="questionnaire-item_steps">
        (шаг <span class="current mx-1">7</span> из <span class="total ml-1">7</span>)
    </p>
    <div class="questionnaire-item_data">
        <div class="extended_questionnaire_list">
            {% for key, qi in squiz.items %}
                <div class="extended_questionnaire_item custom-control custom-radio">
                    <input type="radio" class="custom-control-input" id="f_select{{ forloop.counter }}" name="rate_select" value="{{ key }}"
                    {% if key == '1' %} checked {% endif %}
                    >
                    <label class="custom-control-label" for="f_select{{ forloop.counter }}">{{ qi }}</label>
                </div>
            {% endfor %}
        </div>
    </div>

    <div class="bnt_wrap d-flex justify-content-center">
        <a role="button" class="btn acc-btn  acc-btn-darkblue" type="submit" id="submit_select">
            Далее
        </a>
        <p class="questionnaire_text">
            Благодарим за Ваши ответы!
        </p>
    </div>
</div>
{% endif %}

